## libvirt 0.9.0

=== debian/changelog ===
libvirt (0.9.0-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * [82758c4] Use dh_pycentral on Squeeze
    since there's no dh_python2 yet.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 May 2011 18:41:55 +0200

libvirt (0.9.0-1) unstable; urgency=low

  * [a91c8f6] New upstream version 0.9.0
  * [1608a8c] Drop patch Make-macros-work-as-rvalues.patch, fixed upstream
  * [85c3f78] Fix test failure caused by our libvirtd.conf changes
  * [0defeee] Fix crashes due to missing initialization of the error system
  * [0a63618] Disable daemon start test for now
  * [1c29d34] Enable testsuite
  * [cf3a26f] Build for Python 2.6 only

 -- Guido Günther <agx@sigxcpu.org>  Sat, 16 Apr 2011 15:26:34 +0200

libvirt (0.9.0~rc2-2) experimental; urgency=low

  * [7da1fd9] New patch Make-macros-work-as-rvalues.patch fixes kFreeBSD build
  * [08c4915] Add support for kFreeBSD (Closes: #612238)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 31 Mar 2011 23:01:58 +0200

libvirt (0.9.0~rc2-1) experimental; urgency=low

  * [77fc1c5] New upstream version 0.9.0~rc2
  * [30ceba5] Drop superflous build-dep on dpkg-dev.
    The affected versions are neither in Lenny, Squeeze nor Sid.
  * [5845bed] Switch to dh_python2 (Closes: #616874)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 30 Mar 2011 14:14:03 +0200

libvirt (0.9.0~rc1-1) experimental; urgency=low

  * [02daf0b] New upstream version 0.9.0~rc1
  * [b4a05a1] Update patches. Drop patches applied upstream:
        Do-not-add-drive-boot-on-param-when-a-kernel-is-spec.patch
        Don-t-pass-empty-arguments-to-dnsmasq.patch
        Make-sure-the-rundir-is-accessible-by-the-user.patch
        upstream/Add-missing-checks-for-read-only-connections.patch
  * [7ff8e58] Update symbols for 0.9.0~rc1

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Mar 2011 10:04:54 +0200

libvirt (0.8.8-3) unstable; urgency=low

  * [28df435] Don't create the rundir in the init script. The daemon does this
    now.
  * [7302aff] New patch Make-sure-the-rundir-is-accessible-by-the-user.patch.
    Make sure the rundir is accessible by the user (Closes: #614210)
  * [6dde59d] Recommend dmidecode used by the qemu driver
  * [235f893]  Add missing checks for read only connections.
    As pointed on CVE-2011-1146, some API forgot to check the read-only
    status of the connection for entry point which modify the state
    of the system or may lead to a remote execution using user data.
    The entry points concerned are:
      - virConnectDomainXMLToNative
      - virNodeDeviceDettach
      - virNodeDeviceReAttach
      - virNodeDeviceReset
      - virDomainRevertToSnapshot
      - virDomainSnapshotDelete
     src/libvirt.c: fix the above set of entry points to error on read-only
     connections (Closes: #617773)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Mar 2011 20:06:57 +0100

libvirt (0.8.8-2) unstable; urgency=low

  * [f5fa0d3] initscript: depend on $local_fs (Closes: #616162)
  * [f503698] README.Debian: Mention netcat.openbsd. Thanks to Luca Capello
    for the patch.
  * [9d1ceb0] New patch:
        Do-not-add-drive-boot-on-param-when-a-kernel-is-spec.patch.
    Do not add drive 'boot=on' param when a kernel is specified
    Thanks to Jim Fehlig and Wolfgang Frisch (Closes: #615013)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Mar 2011 21:43:32 +0100
