=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
Build-Depends: cdbs (>= 0.4.89~),
 python-central,
 debhelper (>= 7),
 libxml2-dev,
 libncurses5-dev,
 libreadline-dev,
 zlib1g-dev,
 libgnutls-dev,
 python-dev (>= 2.6.6-3~),
 libavahi-client-dev,
 libsasl2-dev,
 libxen-dev [i386 amd64],
 lvm2 [linux-any],
 qemu [amd64 i386 powerpc sparc],
 open-iscsi [linux-any],
 libparted0-dev (>= 2.2),
 libdevmapper-dev [linux-any],
 uuid-dev,
 libudev-dev [linux-any],
 libhal-dev [!linux-any],
 libpciaccess-dev,
 module-init-tools,
 policykit-1,
 libcap-ng-dev [linux-any],
 virtualbox-ose [amd64 i386],
 libnl-dev [linux-any],
# For "make check"
 libxml2-utils,
XS-Python-Version: current
Build-Conflicts: dpkg-dev (= 1.15.3)
Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt.git
Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt.git
Homepage: http://libvirt.org
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
X-Python-Version: 2.6

Package: libvirt-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libvirt0 (= ${binary:Version}), logrotate, gettext-base
Enhances: qemu, qemu-kvm, xen
Section: admin
Recommends: netcat-openbsd, bridge-utils, dnsmasq-base (>= 2.46-1), iptables, qemu-kvm | qemu (>= 0.9.1),
 libxml2-utils, iptables, gawk, ebtables, dmidecode
Suggests: policykit-1
Description: the programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the supporting binaries to use with libvirt

Package: libvirt0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lvm2 [linux-any]
Description: library for interfacing with different virtualization systems
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.

Package: libvirt0-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvirt0 (= ${binary:Version})
Priority: extra
Section: debug
Description: library for interfacing with different virtualization systems
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the debugging symbols.

Package: libvirt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the documentation.

Package: libvirt-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libvirt0 (= ${binary:Version}), libxen-dev [i386 amd64]
Recommends: pkg-config
Description: development files for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the header files and static libraries which are
 needed for developing the applications with libvirt.

Package: python-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= ${binary:Version})
Provides: ${python:Provides}
Section: python
XB-Python-Version: ${python:Versions}
Description: libvirt Python bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains Python bindings for the libvirt library
