## libvirt 0.9.2

=== debian/changelog ===
libvirt (0.9.2-4ubuntu15) oneiric; urgency=low

  * Pull patches from upstream which prevent a race between lxc driver and
    controller while a container is started, easily exposed by nova.
    (LP: #842845)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 03 Oct 2011 14:39:05 -0500

libvirt (0.9.2-4ubuntu14) oneiric; urgency=low

  * debian/patches/lp832507.patch: update virt-aa-helper to use the correct
    paths for character devices that are pipes. This can be removed in
    0.9.7. (LP: #832507)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 27 Sep 2011 13:18:28 -0500

libvirt (0.9.2-4ubuntu13) oneiric; urgency=low

  * debian/patches/arm-startup-fies.patch: Fix typo in patch. 
    (LP: #845764) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Sep 2011 14:41:53 -0400

libvirt (0.9.2-4ubuntu12) oneiric; urgency=low

  [Serge Hallyn]
  * do not rely on 'ip' or 'ifconfig' commands inside container (LP: #828211)
    Reported and fixed by Scott Moser <smoser@ubuntu.com>.
  * make ptmx a bind mount rather than a symlink (LP: #832123)

  [Chuck Short]
  * debian/arm-startup-fixes.patch: Dont detect DMI information on non-intel
    compatible arches.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 01 Sep 2011 09:25:51 -0500

libvirt (0.9.2-4ubuntu11) oneiric; urgency=low

  * debian/patches/Autodetect-if-the-remote-nc-command-supports-the-q-o.patch:
    updated to support target systems where the grep utility has no -q
    option. (LP: #792985)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Aug 2011 13:30:14 -0400

libvirt (0.9.2-4ubuntu10) oneiric; urgency=low

  * Source /etc/default/libvirt-bin at the upstart 'start' section (LP: #823638)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 15 Aug 2011 13:00:41 -0500

libvirt (0.9.2-4ubuntu9) oneiric; urgency=low

  * Fix build failure on ARM, working around a GCC issue. LP: #823711.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Aug 2011 16:00:53 +0200

libvirt (0.9.2-4ubuntu8) oneiric; urgency=low

  * Port to libnl3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Aug 2011 11:36:08 +0100

libvirt (0.9.2-4ubuntu7) oneiric; urgency=low

  * libvirt-bin.upstart: add a pre-stop script to shut down running VMs
    before the host shuts down.  (LP: #350936)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 02 Aug 2011 19:49:40 -0500

libvirt (0.9.2-4ubuntu6) oneiric; urgency=low

  * SECURITY UPDATE: integer overflow in virDomainGetVcpus()
    - debian/patches/CVE-2011-2511.patch: use INT_MULTIPLY_OVERFLOW() to
      verify maxinfo * maplen < REMOTE_CPUMAPS_MAX
    - this can be dropped in 0.9.2-7/0.9.3
    - CVE-2011-2511

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 19 Jul 2011 08:20:20 -0500

libvirt (0.9.2-4ubuntu5) oneiric; urgency=low

  * debian/libvirt-bin.apport: use new apport MAC function instead of
    parsing and attaching AppArmor events here.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 Jul 2011 08:36:56 -0400

libvirt (0.9.2-4ubuntu4) oneiric; urgency=low

  * debian/apparmor/libvirt-qemu: adjust for /dev/shm -> /run/shm transition
  * debian/patches/lp810270.patch: adjust AppArmor profile for /var/run ->
    /run
    - LP: #810270

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jul 2011 08:46:32 -0500

libvirt (0.9.2-4ubuntu3) oneiric; urgency=low

  * Fix /etc/init/libvirt-bin.conf start on to wait until networking.conf
    has stopped with success, meaning ifup -a completed successfully and
    all auto-started network devices are up.  (LP: #495394)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 07 Jul 2011 10:23:25 -0500

libvirt (0.9.2-4ubuntu2) oneiric; urgency=low

  [ Scott Moser ]
  * 9028-linux-3-0-no-micro.patch: support running libvirt with lxc on linux
    3.0 (LP: #802977)

  [ Jamie Strandboge ]
  * debian/apparmor/usr.sbin.libvirtd: allow ipc_lock

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Jun 2011 10:00:54 -0400

libvirt (0.9.2-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control:
      * set X-Python-Version to 2.7, as 2.6 is not in oneiric.
      * set ubuntu maintainer
      * Build-Depends:
        - remove [linux-any] from all dependencies
        - remove [!linux-any] deps
        - swap  qemu to qemu-kvm and open-iscsi to
          open-iscsi-utils in Build-Depends
        - remove virtualbox-ose Build-Depends
        - add parted and libapparmor-dev Build-Depends
      * convert Vcs-Git to Xs-Debian-Vcs-Git
      * libvirt-bin Depends: move netcat-openbsd, bridge-utils, dnsmasq-base
        (>= 2.46-1), and iptables from Recommends to Depends
      * libvirt-bin Recommends: move qemu to Suggests
      * libvirt-bin Suggests: add apparmor
      * libvirt0 Recommands: move lvm2 to Suggests
    - keep debian/libvirt-bin.apport
    - keep debian/libvirt-bin.cron.daily
    - debian/libvirt-bin.dirs:
      * add apparmor, cron.daily, and apport dirs
    - debian/libvirt-bin.examples:
      * add debian/libvirt-suspendonreboot
    - debian/libvirt-bin.install:
      * add /etc/apparmor.d files
      * add apport hook
    - debian/libvirt-bin.manpages:
      * add debian/libvirt-migrate-qemu-disks.1
    - debian/libvirt-bin.postinst:
      * replace libvirt groupname with libvirtd
      * add each admin user to libvirtd group
      * call apparmor_parser on usr.sbin.libvirtd and
        usr.lib.libvirt.virt-aa-helper
      * call 'libvirt-migrate-qemu-disks -a' after
        libvirt-bin has started if migrating from
        older than 0.8.3-1ubuntu1
    - debian/libvirt-bin.postrm:
      * replace libvirt groupname with libvirtd
      * remove usr.sbin.libvirtd and
        usr.lib.libvirt.virt-aa-helper
    - keep added files under debian/:
      * libvirt-bin.upstart
      * libvirt-migrate-qemu-disks
      * libvirt-migrate-qemu-disks.1
      * libvirt-suspendonreboot
      * apparmor profiles
    - debian/README.Debian:
      * add 'Apparmor Profile' section
      * add 'Disk migration' section
    - debian/rules:

