=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
-Build-Depends: cdbs (>= 0.4.89~),
- python-central,
+Build-Depends: cdbs (>= 0.4.90~),
  debhelper (>= 7),
  libxml2-dev,
  libncurses5-dev,
@@ -15,39 +15,39 @@
  libavahi-client-dev,
  libsasl2-dev,
  libxen-dev [i386 amd64],
- lvm2 [linux-any],
- qemu [amd64 i386 powerpc sparc],
- open-iscsi [linux-any],
+ lvm2,
+ qemu-kvm [amd64 i386 powerpc sparc],
+ open-iscsi-utils,
  libparted0-dev (>= 2.2),
- libdevmapper-dev [linux-any],
+ libdevmapper-dev,
  uuid-dev,
- libudev-dev [linux-any],
- libhal-dev [!linux-any],
+ libudev-dev,
  libpciaccess-dev,
  module-init-tools,
+ parted,
  policykit-1,
- libcap-ng-dev [linux-any],
- virtualbox-ose [amd64 i386],
- libnl-dev [linux-any],
+ libcap-ng-dev,
+ libnl3-dev,
 # For "make check"
  libxml2-utils,
+ libapparmor-dev
 XS-Python-Version: current
 Build-Conflicts: dpkg-dev (= 1.15.3)
-Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt.git
-Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt.git
 Homepage: http://libvirt.org
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
-X-Python-Version: 2.6
+X-Python-Version: 2.7
 
 Package: libvirt-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libvirt0 (= ${binary:Version}), logrotate, gettext-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libvirt0 (= ${binary:Version}), logrotate, gettext-base,
+ netcat-openbsd, bridge-utils, dnsmasq-base (>= 2.46-1), iptables
 Enhances: qemu, qemu-kvm, xen
 Section: admin
-Recommends: netcat-openbsd, bridge-utils, dnsmasq-base (>= 2.46-1), iptables, qemu-kvm | qemu (>= 0.9.1),
- libxml2-utils, iptables, gawk, ebtables, dmidecode
-Suggests: policykit-1
+Recommends: libxml2-utils, gawk, dmidecode, iproute
+Suggests: policykit-1, apparmor, qemu-kvm | qemu (>= 0.9.1), ebtables
 Description: the programs for the libvirt library
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -59,7 +59,7 @@
 Package: libvirt0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: lvm2 [linux-any]
+Suggests: lvm2
 Description: library for interfacing with different virtualization systems
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -111,7 +111,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= ${binary:Version})
 Provides: ${python:Provides}
 Section: python
-XB-Python-Version: ${python:Versions}
 Description: libvirt Python bindings
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
