=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,16 @@
 #!/usr/bin/make -f
 
-DEB_PYTHON_SYSTEM = pycentral
 DEB_BUILD_PARALLEL = yes
 DEB_MAKE_CHECK_TARGET = check
 
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/class/python-distutils.mk
+
 ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64))
   WITH_XEN = --with-xen
-  WITH_VBOX = --with-vbox
 else
   WITH_XEN = --without-xen
-  WITH_VBOX = --without-vbox
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
@@ -22,6 +23,7 @@
   WITH_MACVTAP        = --with-macvtap
   WITH_NETWORK        = --with-network
   WITH_QEMU           = --with-qemu
+  WITH_OPENVZ         = --with-openvz
   ifneq (,$(findstring $(DEB_HOST_ARCH), ia64))
       WITH_LXC        = --without-lxc
   else
@@ -40,16 +42,12 @@
   WITH_LXC            = --without-lxc
 endif
 
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/class/python-distutils.mk
-
 DEB_CONFIGURE_EXTRA_FLAGS :=     \
 	--disable-rpath          \
 	$(WITH_QEMU)		 \
 	--with-qemu-user=libvirt-qemu  \
 	--with-qemu-group=kvm    \
-	--with-openvz            \
+        $(WITH_OPENVZ)		 \
 	--with-avahi             \
 	--with-sasl              \
 	$(WITH_POLKIT)		 \
@@ -69,21 +67,17 @@
 	$(WITH_NETWORK)		 \
 	--without-netcf		 \
 	$(WITH_XEN)		 \
-	$(WITH_VBOX)		 \
-	$(WITH_LXC)
+	$(WITH_LXC)		 \
+	--with-apparmor		 \
+	--without-vbox
 
 DEB_COMPRESS_EXCLUDE = .o event-test hellolibvirt info1 suspend
 DEB_PYTHON_SETUP_CMD = /dev/null
 DEB_DH_MAKESHLIBS_ARGS_libvirt0 += -V 'libvirt0 (>= 0.5.0)'
-DEB_DH_INSTALLINIT_ARGS = --no-restart-on-upgrade -- defaults 28 72
+DEB_DH_INSTALLINIT_ARGS = --upstart-only
 DEB_DH_INSTALLLOGROTATE_ARGS = --name=libvirtd
 
 EXAMPLES_DIR = $(CURDIR)/debian/libvirt-doc/usr/share/doc/libvirt-doc/examples/
-
-binary-install/libvirt-bin::
-	cp $(CURDIR)/tools/libvirt-guests.init.sh $(CURDIR)/debian/libvirt-bin.libvirt-guests.init
-	cp $(CURDIR)/tools/libvirt-guests.sysconf $(CURDIR)/debian/libvirt-bin.libvirt-guests.default
-	dh_installinit --name=libvirt-guests --no-restart-on-upgrade -- defaults 29 71
 
 build/libvirt-bin::
 	# Add empty dir so dh_install doesn't fail on kFreebsd until we have Polkit support
@@ -96,6 +90,13 @@
 	rm -f $(EXAMPLES_DIR)domsuspend/suspend
 	rm -f $(EXAMPLES_DIR)hellolibvirt/hellolibvirt
 
-clean::
-	rm -f $(CURDIR)/debian/libvirt-bin.libvirt-guests.init
-	rm -f $(CURDIR)/debian/libvirt-bin.libvirt-guests.default
+build/libvirt-bin::
+	mkdir -p debian/tmp/etc/apparmor.d/abstractions debian/tmp/etc/apparmor.d/libvirt
+	cp -f debian/apparmor/libvirt-qemu debian/tmp/etc/apparmor.d/abstractions
+	cp -f debian/apparmor/usr.lib.libvirt.virt-aa-helper debian/tmp/etc/apparmor.d
+	cp -f debian/apparmor/usr.sbin.libvirtd debian/tmp/etc/apparmor.d
+	cp -f debian/apparmor/TEMPLATE debian/tmp/etc/apparmor.d/libvirt
+	mkdir -p debian/tmp/usr/share/apport/package-hooks
+	cp -f debian/libvirt-bin.apport debian/tmp/usr/share/apport/package-hooks/source_libvirt-bin.py
+	mkdir -p debian/tmp/usr/sbin
+	cp -f debian/libvirt-migrate-qemu-disks debian/tmp/usr/sbin
