=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
 Build-Depends: cdbs (>= 0.4.90~),
  debhelper (>= 7),
@@ -11,44 +10,57 @@
  libreadline-dev,
  zlib1g-dev,
  libgnutls-dev,
- python-dev (>= 2.6.6-3~),
+ python-all-dev (>= 2.6.6-3~),
  libavahi-client-dev,
  libsasl2-dev,
  libxen-dev [i386 amd64],
- lvm2,
- qemu-kvm [amd64 i386 powerpc sparc],
- open-iscsi-utils,
+ lvm2 [linux-any],
+ open-iscsi [linux-any],
  libparted0-dev (>= 2.2),
- libdevmapper-dev,
+ parted (>= 2.2),
+ libdevmapper-dev [linux-any],
  uuid-dev,
- libudev-dev,
+ libudev-dev [linux-any],
+ libhal-dev [!linux-any],
  libpciaccess-dev,
  module-init-tools,
- parted,
  policykit-1,
- libcap-ng-dev,
- libnl3-dev,
+ libcap-ng-dev [linux-any],
+ virtualbox-ose [amd64 i386],
+ libnl-dev [linux-any],
+ libyajl-dev,
+ libpcap0.8-dev,
 # For "make check"
  libxml2-utils,
- libapparmor-dev
-XS-Python-Version: current
+ dnsmasq-base,
+ openssh-client,
+ netcat-openbsd,
 Build-Conflicts: dpkg-dev (= 1.15.3)
-XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt.git
+Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt.git
+Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt.git
 Homepage: http://libvirt.org
 Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
-X-Python-Version: 2.7
+X-Python-Version: >= 2.6
 
 Package: libvirt-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libvirt0 (= ${binary:Version}), logrotate, gettext-base,
- netcat-openbsd, bridge-utils, dnsmasq-base (>= 2.46-1), iptables
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libvirt0 (= ${binary:Version}), logrotate, gettext-base
 Enhances: qemu, qemu-kvm, xen
 Section: admin
-Recommends: libxml2-utils, gawk, dmidecode, iproute
-Suggests: policykit-1, apparmor, qemu-kvm | qemu (>= 0.9.1), ebtables
-Description: the programs for the libvirt library
+Recommends: netcat-openbsd,
+ bridge-utils,
+ dnsmasq-base (>= 2.46-1),
+ iptables (>= 1.4.10),
+ qemu-kvm | qemu (>= 0.9.1),
+ libxml2-utils,
+ gawk,
+ ebtables,
+ dmidecode,
+ iproute,
+ parted
+Suggests: policykit-1, radvd
+Description: programs for the libvirt library
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
  a long term stable C API for different virtualization mechanisms. It currently
@@ -59,7 +71,7 @@
 Package: libvirt0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: lvm2
+Recommends: lvm2 [linux-any]
 Description: library for interfacing with different virtualization systems
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -110,6 +122,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= ${binary:Version})
 Provides: ${python:Provides}
+Recommends: libvirt-bin
 Section: python
 Description: libvirt Python bindings
  Libvirt is a C toolkit to interact with the virtualization capabilities
