=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,19 @@
 #!/usr/bin/make -f
 
 DEB_BUILD_PARALLEL = yes
-DEB_MAKE_CHECK_TARGET = check
+export VIR_TEST_DEBUG=1
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64))
+  DEB_MAKE_CHECK_TARGET = check
   WITH_XEN = --with-xen
+  WITH_VBOX = --with-vbox
 else
   WITH_XEN = --without-xen
+  WITH_VBOX = --without-vbox
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
@@ -42,6 +45,7 @@
   WITH_LXC            = --without-lxc
 endif
 
+DEB_BUILDDIR := $(CURDIR)/debian/build
 DEB_CONFIGURE_EXTRA_FLAGS :=     \
 	--disable-rpath          \
 	$(WITH_QEMU)		 \
@@ -50,6 +54,7 @@
         $(WITH_OPENVZ)		 \
 	--with-avahi             \
 	--with-sasl              \
+	--with-yajl              \
 	$(WITH_POLKIT)		 \
 	$(WITH_UDEV)		 \
 	--with-storage-fs        \
@@ -67,21 +72,35 @@
 	$(WITH_NETWORK)		 \
 	--without-netcf		 \
 	$(WITH_XEN)		 \
-	$(WITH_LXC)		 \
-	--with-apparmor		 \
-	--without-vbox
+	$(WITH_VBOX)		 \
+	$(WITH_LXC)
 
 DEB_COMPRESS_EXCLUDE = .o event-test hellolibvirt info1 suspend
 DEB_PYTHON_SETUP_CMD = /dev/null
 DEB_DH_MAKESHLIBS_ARGS_libvirt0 += -V 'libvirt0 (>= 0.5.0)'
-DEB_DH_INSTALLINIT_ARGS = --upstart-only
-DEB_DH_INSTALLLOGROTATE_ARGS = --name=libvirtd
+DEB_DH_INSTALLINIT_ARGS = --no-restart-on-upgrade -- defaults 28 72
+DEB_PYTHON_MODULE_PACKAGE = python-libvirt
 
+LOGROTATE = $(basename $(basename $(notdir $(wildcard daemon/libvirtd*.logrotate.in))))
 EXAMPLES_DIR = $(CURDIR)/debian/libvirt-doc/usr/share/doc/libvirt-doc/examples/
+
+include debian/python.mk
+
+binary-install/libvirt-bin::
+	cp $(CURDIR)/tools/libvirt-guests.init.sh $(CURDIR)/debian/libvirt-bin.libvirt-guests.init
+	cp $(CURDIR)/tools/libvirt-guests.sysconf $(CURDIR)/debian/libvirt-bin.libvirt-guests.default
+	dh_installinit --name=libvirt-guests --no-restart-on-upgrade -- defaults 29 71
+
+	for l in $(LOGROTATE); do \
+		cp $(CURDIR)/daemon/$$l.logrotate    \
+                   debian/libvirt-bin.$$l.logrotate; \
+		dh_installlogrotate --name=$$l;     \
+	done
 
 build/libvirt-bin::
 	# Add empty dir so dh_install doesn't fail on kFreebsd until we have Polkit support
 	mkdir -p debian/tmp/usr/share/polkit-1
+
 
 binary-install/libvirt-doc::
 	find $(EXAMPLES_DIR) -name "*.o" -type f -delete -o -name .libs -type d -exec rm -rf {} \;
@@ -90,13 +109,8 @@
 	rm -f $(EXAMPLES_DIR)domsuspend/suspend
 	rm -f $(EXAMPLES_DIR)hellolibvirt/hellolibvirt
 
-build/libvirt-bin::
-	mkdir -p debian/tmp/etc/apparmor.d/abstractions debian/tmp/etc/apparmor.d/libvirt
-	cp -f debian/apparmor/libvirt-qemu debian/tmp/etc/apparmor.d/abstractions
-	cp -f debian/apparmor/usr.lib.libvirt.virt-aa-helper debian/tmp/etc/apparmor.d
-	cp -f debian/apparmor/usr.sbin.libvirtd debian/tmp/etc/apparmor.d
-	cp -f debian/apparmor/TEMPLATE debian/tmp/etc/apparmor.d/libvirt
-	mkdir -p debian/tmp/usr/share/apport/package-hooks
-	cp -f debian/libvirt-bin.apport debian/tmp/usr/share/apport/package-hooks/source_libvirt-bin.py
-	mkdir -p debian/tmp/usr/sbin
-	cp -f debian/libvirt-migrate-qemu-disks debian/tmp/usr/sbin
+clean::
+	rm -f $(CURDIR)/debian/libvirt-bin.libvirt-guests.init
+	rm -f $(CURDIR)/debian/libvirt-bin.libvirt-guests.default
+	rm -f $(CURDIR)/debian/libvirt-bin.*.logrotate
+	rm -rf $(DEB_BUILDDIR)
