=== debian/control ===
--- 
+++ 
@@ -30,6 +30,8 @@
  libnl-dev [linux-any],
  libyajl-dev,
  libpcap0.8-dev,
+ libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
+ radvd,
 # For "make check"
  libxml2-utils,
  dnsmasq-base,
